package com.ssj.service.weixin.zuoyb.service;

import java.util.List;
import java.util.Map;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ssj.bean.weixin.zyb.domain.ZuoybKnowHowDetailsKd;
import com.ssj.framework.core.common.service.BaseService;


/** 
 * @author  ZhangCaibao 
 * @version 2018年5月1日 上午11:06:16 
 * 类说明 
 */
public interface ZuoybKnowHowDetailsKdService  extends BaseService<ZuoybKnowHowDetailsKd, String>{
	
	public List<ZuoybKnowHowDetailsKd> findByHowDetailsId(String howDetailsId);
	public  Page<ZuoybKnowHowDetailsKd>  findByPage(Map<String, Object> params, Pageable sp);
	public Page<Map<String, Object>> getZuoybKnowHowDetailsKd(Map<String, Object> searchParams, Pageable pageable);
	  public void  updateKnowHowDetailKdNum(String id,Integer num);
	public List<ZuoybKnowHowDetailsKd> getHowDetailsKdIds(String libId, String courseName,String grade, String semester, String type,
			String detailsId);

}
